From a933237851ea55b23df87f869dd96b731a553d3c Mon Sep 17 00:00:00 2001
From: Paul Hardy <unifoundry@unifoundry.com>
Date: Wed, 9 Jan 2019 22:35:39 -0800
Subject: [PATCH] typo suggestions from Paul Hardy

---
 dgit-downstream-dsc.7.pod  | 10 +++++-----
 dgit-maint-debrebase.7.pod |  6 +++---
 dgit-maint-native.7.pod    |  2 +-
 dgit-sponsorship.7.pod     |  2 +-
 dgit-user.7.pod            |  2 +-
 dgit.1                     | 25 +++++++++++++------------
 dgit.7                     |  4 ++--
 git-debrebase.1.pod        | 14 +++++++-------
 git-debrebase.5.pod        | 22 +++++++++++-----------
 9 files changed, 44 insertions(+), 43 deletions(-)

diff --git a/dgit-downstream-dsc.7.pod b/dgit-downstream-dsc.7.pod
index fcbce05..ace4fbf 100644
--- a/dgit-downstream-dsc.7.pod
+++ b/dgit-downstream-dsc.7.pod
@@ -121,8 +121,8 @@ but in most installations this is not needed.
 If there is no or little distinction between
 (i) developers who are entitled to upload (push) and
 (ii) repository administrators,
-then a it is sufficient to provide a
-git server with a unix account for each user who will pushing,
+then it is sufficient to provide a
+git server with a unix account for each user who will be pushing,
 perhaps using ssh restricted commands.
 
 =item Debian-format archive (repository)
@@ -140,7 +140,7 @@ In this document we will assume you are using B<reprepro>.
 Setting up reprepro is not covered in this tutorial.
 Instead, we assume you already have reprepro working.
 
-You should also write appropriate dput configuration,
+You should also write an appropriate dput configuration file,
 since dgit uses dput to upload packages to the archive.
 This will involve choosing a dput host name.
 That's probably your distro name, I<distro>.
@@ -216,7 +216,7 @@ yet a git repository for a particular package.
 
 If you always have a git repository for every package in your archive,
 perhaps because you never use dput/dupload, and always dgit push,
-Set C<git-check> to B<true>.
+set C<git-check> to B<true>.
 
 Otherwise, set C<git-check> to a url prefix - ideally, https.
 dgit clone will try to fetch
@@ -312,7 +312,7 @@ Either don't do that, or set up B<dgit-repos-server>.
 When a user who can push runs dgit,
 dgit uses ssh to access the git server.
 
-To make ssh restricted command easier,
+To make the ssh restricted command easier,
 and for the benefit of dgit-repos-server,
 dgit's ssh commands
 each start with a parseable commentish rune.
diff --git a/dgit-maint-debrebase.7.pod b/dgit-maint-debrebase.7.pod
index 4996e6a..b91ed16 100644
--- a/dgit-maint-debrebase.7.pod
+++ b/dgit-maint-debrebase.7.pod
@@ -376,7 +376,7 @@ release:
 =back
 
 Pass I<--stat> just to see the list of changed files, which is useful
-to determine whether there are any new or deleted files to may need
+to determine whether there are any new or deleted files that may need
 accounting for in your copyright file.
 
 If you obtained a tarball from upstream, you are ready to try a build.
@@ -451,7 +451,7 @@ In some cases where you used B<git debrebase convert-from-gbp> since
 the last upload, it is not possible for dgit to make your history
 fast-forwarding from the history on B<dgit-repos>.  In such cases you
 will have to pass I<--overwrite> to dgit.  git-debrebase will normally
-tell you if this is will be needed.
+tell you if this will be needed.
 
 Right before uploading, if you did not just already do so, you might
 want to have git-debrebase(1) shuffle your branch such that the Debian
@@ -559,7 +559,7 @@ In the simplest case,
 
 =back
 
-If that fails, because your branch and the NMUers work represent
+If that fails, because your branch and the NMUers' work represent
 divergent branches of development, you have a number of options.  Here
 we describe the two simplest.
 
diff --git a/dgit-maint-native.7.pod b/dgit-maint-native.7.pod
index ac57728..792be10 100644
--- a/dgit-maint-native.7.pod
+++ b/dgit-maint-native.7.pod
@@ -85,7 +85,7 @@ is fast forward from the dgit archive view.
 Alternatively,
 if this was the first ever dgit push of the package,
 you can avoid this merge commit by
-passing C<--deliberately-not-fast-forward>.
+passing C<--deliberately-not-fast-forward>
 instead of C<--overwrite>.
 This avoids introducing a new origin commit into
 your git history.
diff --git a/dgit-sponsorship.7.pod b/dgit-sponsorship.7.pod
index 199903c..2e6f82d 100644
--- a/dgit-sponsorship.7.pod
+++ b/dgit-sponsorship.7.pod
@@ -9,7 +9,7 @@ and
 a sponsoring DD (or DM)
 can collaborate and publish using git.
 
-The sponsor must to be intending to use dgit for the upload.
+The sponsor must be intending to use dgit for the upload.
 (If the sponsor does not use dgit,
 it is not possible to properly publish
 a sponsee's git branch.)
diff --git a/dgit-user.7.pod b/dgit-user.7.pod
index 036d5bb..18f06da 100644
--- a/dgit-user.7.pod
+++ b/dgit-user.7.pod
@@ -379,7 +379,7 @@ If neither of those are an option,
 your desperate last resort is to try
 using the same version number
 as the official package for your own package.
-(The version is controlled by C<debian/changelog> - see above).
+(The version is controlled by C<debian/changelog> - see above.)
 This is not ideal because it makes it hard to tell what is installed,
 and because it will mislead and confuse apt.
 
diff --git a/dgit.1 b/dgit.1
index 6f89574..b1bf0ac 100644
--- a/dgit.1
+++ b/dgit.1
@@ -338,8 +338,8 @@ which uses
 Set up the working tree's
 .B .git/info/attributes
 to disable all transforming attributes for all files.
-This is done by defining a macro attribute
-.B dgit-defuse-attrs
+This is done by defining a macro attribute,
+.B dgit-defuse-attrs,
 and applying it to
 .BR * .
 For why, see
@@ -354,8 +354,8 @@ If there is an existing macro attribute line
 in .git/info/attributes,
 but it is insufficient,
 because it was made by an earlier version of dgit
-and git has since introduced new transforming attributes,
-modifies the macro to disable the newer transformations.
+and git has since introduced new transforming attributes;
+this modifies the macro to disable the newer transformations.
 
 (If there is already a macro attribute line
 .B [attr]dgit-defuse-attrs
@@ -448,7 +448,7 @@ and dgit actually imports the dsc
 dgit will make a pseudomerge
 so that the result is necessarily fast forward
 from the existing branch.
-Otherwise, if branch already exists,
+Otherwise, if the branch already exists,
 dgit will stop with an error message.
 
 If
@@ -775,7 +775,7 @@ The use of --deliberately is declared and published in the signed tags
 generated for you by dgit,
 so that the archive software can give effect to your intent,
 and
-for the benefit humans looking at the history.
+for the benefit of humans looking at the history.
 The meanings of
 .IR something s
 understood in the context of Debian are discussed below:
@@ -852,7 +852,7 @@ because the dgit git tree does not have a
 directory.)
 .TP
 .BR --quilt=nocheck " | " --no-quilt-fixup
-Do not check whether up source format `3.0 (quilt)' metadata needs
+Do not check whether source format `3.0 (quilt)' metadata needs
 fixing up.  If you use this option and the metadata did in fact need
 fixing up, dgit push will fail.
 .TP
@@ -933,7 +933,7 @@ How to set this up is not yet documented.
 .TP
 .BI -C changesfile
 Specifies the .changes file which is to be uploaded.  By default
-dgit push looks for single .changes file in the parent directory whose
+dgit push looks for a single .changes file in the parent directory whose
 filename suggests it is for the right package and version.
 
 If the specified
@@ -1290,7 +1290,7 @@ One of the values for the command line --clean= option; used if
 .TP
 .BR dgit-distro. \fIdistro\fR .clean-mode-newer
 Like .clean-mode,
-but ignored if the value does not make sense to this version of dgit.
+but ignored if the value is unknown to this version of dgit.
 Setting both .clean-mode and .clean-mode-newer is useful
 to provide a single git config compatible with different dgit versions.
 .TP
@@ -1328,10 +1328,10 @@ used, respectively.  Only used if .setup-usermail is not disabled.
 .TP
 .BI dgit-distro. distro .setup-useremail
 Whether to set user.name and user.email in new git trees.
-True by default.  Ignored for dgit setup-setup-useremail, which does it anyway.
+True by default.  Ignored for dgit setup-useremail, which does it anyway.
 .TP
 .BI dgit-distro. distro .setup-mergechangelogs
-Whether to setup a merge driver which uses dpkg-mergechangelogs for
+Whether to set up a merge driver which uses dpkg-mergechangelogs for
 debian/changelog.  True by default.  Ignored for dgit
 setup-mergechangelogs, which does it anyway.
 .TP
@@ -1355,8 +1355,9 @@ Works like
 To pass several options, configure multiple values in git config
 (with git config --add).  The options for
 .BI dgit.default.opts- cmd
+and
 .BI dgit-distro. distro /push.opts- cmd
-and are all used, followed by options from dgit's command line.
+are all used, followed by options from dgit's command line.
 .SH ACCESS CONFIGURATION
 There are many other settings which specify how a particular distro's
 services (archive and git) are provided.  These should not normally be
diff --git a/dgit.7 b/dgit.7
index d625e8f..8325c06 100644
--- a/dgit.7
+++ b/dgit.7
@@ -161,7 +161,7 @@ or to try to upload to it.
 
 When using this facility, it is important to always specify the
 same suites in the same order:
-dgit will not be make a coherent fast-forwarding history
+dgit will not make a coherent fast-forwarding history
 view otherwise.
 
 The history generated by this feature is not normally suitable
@@ -361,7 +361,7 @@ whose tree is identical to o+d/p in all upstream files.
 In the error message,
 696c9bd5..84ae8f96
 is the first commit child-parent edge
-which cannot be sensibly be
+which cannot sensibly be
 either ignored, or turned into a patch in debian/patches.
 In this example, this is because
 it itself changes files in debian/patches,
diff --git a/git-debrebase.1.pod b/git-debrebase.1.pod
index 00b664b..e5b84a0 100644
--- a/git-debrebase.1.pod
+++ b/git-debrebase.1.pod
@@ -19,7 +19,7 @@ L<dgit-maint-debrebase(7)>.
 For background, theory of operation,
 and definitions see L<git-debrebase(5)>.
 
-You should read this manpage in cojnunction with
+You should read this manpage in conjunction with
 L<git-debrebase(5)/TERMINOLOGY>,
 which defines many important terms used here.
 
@@ -59,7 +59,7 @@ It is hazardous to use plain git-rebase on a git-debrebase branch,
 because git-rebase has a tendency to start the rebase
 too far back in history,
 and then drop important commits.
-Soo L<git-debrebase(5)/ILLEGAL OPERATIONS>
+See L<git-debrebase(5)/ILLEGAL OPERATIONS>
 
 =item git-debrebase status
 
@@ -155,7 +155,7 @@ the whole new upstream operation is aborted,
 except for the laundering.
 
 <new-version>
-may be whole new Debian version, including revision,
+may be a whole new Debian version, including revision,
 or just the upstream part,
 in which case -1 will be appended
 to make the new Debian version.
@@ -249,7 +249,7 @@ If the patches implied by the current branch
 are not a simple superset of those already in debian/patches,
 make-patches will fail with exit status 7,
 and an error message.
-(The message can be suppress with --quiet-would-amend.)
+(The message can be suppressed with --quiet-would-amend.)
 If the problem is simply that
 the existing patches were not made by git-debrebase,
 using dgit quilt-fixup instead should succeed.
@@ -258,7 +258,7 @@ using dgit quilt-fixup instead should succeed.
 
 =item git-debrebase convert-from-gbp [<upstream-commit-ish>]
 
-Cnnverts any of the following into a git-debrebase interchange branch:
+Converts any of the following into a git-debrebase interchange branch:
 
 =over
 
@@ -370,7 +370,7 @@ and any ffq-prev is deleted.
 
 This is provided mostly for the test suite
 and for unusual situations.
-It should only be used with a care and 
+It should be used only with care and 
 with a proper understanding of the underlying theory.
 
 Be sure to not accidentally treat the result as
@@ -420,7 +420,7 @@ failure to find an appropriate upstream.
 Directory to look in for orig tarballs.
 The default is the git config option
 dgit.default.build-products-dir
-or failing that, C<..>.
+or failing that, "C<..>".
 Passed on to dgit, if git-debrebase invokes dgit.
 
 =item --[no-]origs
diff --git a/git-debrebase.5.pod b/git-debrebase.5.pod
index 439fd63..c30b124 100644
--- a/git-debrebase.5.pod
+++ b/git-debrebase.5.pod
@@ -146,7 +146,7 @@ See L</STITCHING, PSEUDO-MERGES, FFQ RECORD>.
 
 git-debrebase has one primary branch,
 the B<interchange branch>.
-This branch is found on Debian contributor's workstations
+This branch is found on Debian contributors' workstations
 (typically, a maintainer would call it B<master>),
 in the Debian dgit git server as the suite branch (B<dgit/dgit/sid>)
 and on other git servers which support Debian work
@@ -175,7 +175,7 @@ the upstream commits).
 The breakwater does not contain any representation of
 the delta queue (not even debian/patches).
 The part of the breakwater processed by git-debrebase
-is the part since the most reecent B<anchor>,
+is the part since the most recent B<anchor>,
 which is usually a special merge generated by git-debrebase.
 
 When working, locally,
@@ -190,7 +190,7 @@ and the user's work
 can later be
 stitched into the fast-forwarding interchange form.
 
-An unstitched branch may be in
+An unstitched branch may be in the
 B<laundered>
 state,
 which means it has a more particular special form
@@ -255,7 +255,7 @@ a representation of the delta queue:
 =item Delta queue commits
 
 Zero or more single-parent commits
-contaioning only changes to upstream files.
+containing only changes to upstream files.
 
 =back
 
@@ -266,7 +266,7 @@ branch state is also B<rebasing>.
 It has the same contents as the laundered state,
 except that it may contain,
 additionally,
-in B<in any order but after the breakwater>:
+B<in any order but after the breakwater>:
 
 =over
 
@@ -379,8 +379,8 @@ When ffq-prev is not present,
 C<refs/debrebase-last/B> records some ancestor of refs/B,
 (usually, the result of last stitch).
 This is used for status printing and some error error checks -
-especially for printing guesses what a problem is.
-To determine whether a branch is 
+especially for printing guesses about what a problem is.
+To determine whether a branch
 is being maintained in git-debrebase form
 it is necessary to walk its history.
 
@@ -419,7 +419,7 @@ so we can at least detect unsupported merges.
 
 =head1 LEGAL OPERATIONS
 
-The following basic operations follows from this model
+The following basic operations follow from this model
 (refer to the diagram above):
 
 =over
@@ -472,7 +472,7 @@ so that git log shows the packaging history.)
 =item Stitch 
 
 Make a pseudomerge,
-whose contributing parent to is the unstitched branch
+whose contributing parent is the unstitched branch
 and
 whose overwritten parent is ffq-prev,
 consuming ffq-prev in the process
@@ -483,7 +483,7 @@ or perhaps a laundered branch with a quilt patch addition commit.
 =item Commit quilt patches
 
 To generate a tree which can be represented as a
-3.0 (quilt) .dsc source packages,
+3.0 (quilt) .dsc source package,
 the delta queue must be reified inside the git tree
 in B<debian/patches/>.
 These patch files can be stripped out and/or regenerated as needed.
@@ -515,7 +515,7 @@ For these reasons,
 it is better to use git-debrebase and
 let it choose the base
 for your rebase.
-If you do realise you have make this mistake,
+If you do realise you have made this mistake,
 it is best to use the reflog to recover to a suitable
 good previous state.
 
-- 
2.11.0

